Debian Bug report logs - #676784
clarify symlinks to JAR files in 10.5

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Matthew Johnson <mjj29@debian.org>

Date: Thu, 30 Jul 2009 16:39:01 UTC

Severity: wishlist

Fixed in version debian-policy/3.9.5.0

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#539315; Package lintian. (Thu, 30 Jul 2009 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Thu, 30 Jul 2009 16:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Lintian should not warn about executable jars
Date: Thu, 30 Jul 2009 17:34:17 +0100
Package: lintian
Severity: wishlist


debian-java policy is being updated to allow executable jar files as
long as they depend on jarwrapper, which implements a binfmt_misc
wrapper to run them. Currently lintian produces an
executable-not-elf-or-script warning about such files.

I am detecting jar files using the zip magic bytes (since they are zip
files) and the existence of a META-INF/MANIFEST.MF file inside.

Matt

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  diffstat            1.45-2               produces graph of changes introduc
ii  dpkg-dev            1.14.25              Debian package development tools
ii  file                4.26-1               Determines file type using "magic"
ii  gettext             0.17-4               GNU Internationalization utilities
ii  intltool-debian     0.35.0+20060710.1    Help i18n of RFC822 compliant conf
ii  libparse-debianchan 1.1.1-2              parse Debian changelogs and output
ii  libtimedate-perl    1.1600-9             Time and date functions for Perl
ii  liburi-perl         1.35.dfsg.1-1        Manipulates and accesses URI strin
ii  man-db              2.5.2-4              on-line manual pager
ii  perl [libdigest-sha 5.10.0-10            Larry Wall's Practical Extraction 

lintian recommends no packages.

-- no debconf information




Changed Bug title to '[checks/scripts] Don't warn about executable .jars' from 'lintian: Lintian should not warn about executable jars' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 03 Apr 2010 16:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#539315; Package lintian. (Sun, 13 May 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 13 May 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 539315@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 539315@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: lintian: Lintian should not warn about executable jars
Date: Sat, 12 May 2012 19:41:36 -0700
tag 539315 + patch
thanks

Here's a quick patch to exclude .jar files from triggering
executable-not-elf-or-script.

diff --git a/checks/scripts b/checks/scripts
index 47d5a4e..59d5dfb 100644
--- a/checks/scripts
+++ b/checks/scripts
@@ -468,6 +468,7 @@ foreach (keys %executable) {
                  or $scripts{$_}
                  or $_ =~ m,^usr(?:/X11R6)?/man/,
                  or $_ =~ m/\.exe$/ # mono convention
+                 or $_ =~ m/\.jar$/ # Debian Java policy 2.2
                  );
 }




Added tag(s) patch. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sun, 13 May 2012 02:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#539315; Package lintian. (Fri, 18 May 2012 14:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey01@arm.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 18 May 2012 14:09:15 GMT) Full text and rfc822 format available.

Message #19 received at 539315@bugs.debian.org (full text, mbox):

From: Wookey <wookey01@arm.com>
To: 539315@bugs.debian.org
Subject: executable-not-elf-or-script test should know about jars
Date: Fri, 18 May 2012 14:41:20 +0100
The lintian test executable-not-elf-or-script comes up with false
positives for every properly-packaged java app in Debian because those
have executable .jar files (pointed to by a link in /usr/bin). This is
what javahelper makes for you automatically, so it's slightly galling
to be told by lintian that it's not right.

This affects two of my packages.

Can we teach this test that .jars are valid executables like elf files
and things with shebang lines?

Or is there some reason why that's a bad plan?

Alternatively we should teach javahelper to automatically put in a lintian override
to supress this.

Aha - I see there is already a (3 yr old!) bug about this, and someone has just
supplied a patch. Any reason not to upload this?

Wookey




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#539315; Package lintian. (Sat, 09 Jun 2012 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 09 Jun 2012 10:12:40 GMT) Full text and rfc822 format available.

Message #24 received at 539315@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Wookey <wookey01@arm.com>, 539315@bugs.debian.org, Matthew Johnson <mjj29@debian.org>, Vincent Cheng <vincentc1208@gmail.com>, binfmt-support@packages.debian.org
Subject: Re: Bug#539315: executable-not-elf-or-script test should know about jars
Date: Sat, 09 Jun 2012 12:08:38 +0200
clone 539315 -1
reassign -1 debian-policy
retitle -1  §10.5 Please clarify symlinks to jar files
thanks

Hi,

CC'ing all listed on the bugs and the binfmt-support maintainer.

On 2012-05-18 15:41, Wookey wrote:
> The lintian test executable-not-elf-or-script comes up with false
> positives for every properly-packaged java app in Debian because those
> have executable .jar files (pointed to by a link in /usr/bin). This is
> what javahelper makes for you automatically, so it's slightly galling
> to be told by lintian that it's not right.
> 
> This affects two of my packages.
> 
> Can we teach this test that .jars are valid executables like elf files
> and things with shebang lines?
> 
> Or is there some reason why that's a bad plan?
> 
> Alternatively we should teach javahelper to automatically put in a lintian override
> to supress this.
> 

While I agree the current situation is sub-optimal, I have concerns
about the use of jarwrapper and executable jars in general.  I believe I
have already voiced (some of) them to Matthew, but here goes.

My major concern is non-Linux architectures - jarwrapper relies on
binfmt-support.  Last I checked (a year or more ago) it wasn't available
on kfreebsd (nor hurd).
  While it appears to have built there now its description still gives
me feeling of it being "Linux-only".  Though, I hope Colin can clarify
binfmt-support's situation on non-Linux archs.



There are is also Policy §10.5:

"""
A symbolic link pointing to a compressed file should always have the
same file extension as the referenced file. (For example, if a file
foo.gz is referenced by a symbolic link, the filename of the link has to
end with ".gz" too, as in bar.gz.)
"""

Jar files are zip files, so it should most likely be considered a
compressed file.  I notice that (e.g.) sat4j "violates this" and uses
/usr/bin/sat4j to point to a jar file in /usr/share/java (with a .jar
extension).
  I know the Policy reads "should" here, but I have a feeling .jar could
become (or is?) a "noticeable exception" to this rule (and in that case
deserves mentioning in the Policy).
  Anyhow, I have cloned this bug and will defer that part to the Policy
team.

> Aha - I see there is already a (3 yr old!) bug about this, and someone has just
> supplied a patch. Any reason not to upload this?
> 
> Wookey
> 
> 
> 

It is definitely about time we did something about it.  Sorry for the
delay.  :)

~Niels

(Please CC me explicitly on the Policy part of this bug)





Bug 539315 cloned as bug 676784 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 10:12:45 GMT) Full text and rfc822 format available.

Bug reassigned from package 'lintian' to 'debian-policy'. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 10:12:46 GMT) Full text and rfc822 format available.

Changed Bug title to 'debian-policy: [10.5] Please clarify symlinks to jar files' from '[checks/scripts] Don't warn about executable .jars' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 10:18:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'clarify symlinks to JAR files in 10.5' from 'debian-policy: [10.5] Please clarify symlinks to jar files' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 12 Aug 2012 18:30:15 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 12 Aug 2012 18:30:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Wed, 24 Jul 2013 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 24 Jul 2013 13:45:05 GMT) Full text and rfc822 format available.

Message #39 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Eugene Zhukov <jevgeni.zh@gmail.com>
Cc: 676784@bugs.debian.org
Subject: Re: Policy §10.5 and .jar file noticeable exception
Date: Wed, 24 Jul 2013 22:41:28 +0900
Le Wed, Jul 24, 2013 at 03:55:38PM +0300, Eugene Zhukov a écrit :
> 
> I encountered a Lintian warning executable-not-elf-or-script with one
> of my packages and then I learned about outstanding
> Lintian<->debian-policy bug #539315.
> 
> How about fixing the policy by adding an exception for .jar files?

Dear Eugene,

I do not see where the Policy forbids JAR files to be executable when they are
intended to be executed.  In line with others, I think that the interpretation
of section 10.5 on symbolic links in #539315 is overly restrictive, as
executable JAR files are not just compressed files, but entire archives.

Altogether, I think that we should close #676784 (the clone of #539315), or
clarify what is the intent of section 10.5, and what is meant by "compressed"
there.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Wed, 24 Jul 2013 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene Zhukov <jevgeni.zh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 24 Jul 2013 14:09:04 GMT) Full text and rfc822 format available.

Message #44 received at 676784@bugs.debian.org (full text, mbox):

From: Eugene Zhukov <jevgeni.zh@gmail.com>
To: Charles Plessy <plessy@debian.org>
Cc: 676784@bugs.debian.org, debian-policy@lists.debian.org, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Policy §10.5 and .jar file noticeable exception
Date: Wed, 24 Jul 2013 17:06:50 +0300
On Wed, Jul 24, 2013 at 4:41 PM, Charles Plessy <plessy@debian.org> wrote:
> Le Wed, Jul 24, 2013 at 03:55:38PM +0300, Eugene Zhukov a écrit :
>>
>> I encountered a Lintian warning executable-not-elf-or-script with one
>> of my packages and then I learned about outstanding
>> Lintian<->debian-policy bug #539315.
>>
>> How about fixing the policy by adding an exception for .jar files?
>
> Dear Eugene,
>
> I do not see where the Policy forbids JAR files to be executable when they are
> intended to be executed.  In line with others, I think that the interpretation
> of section 10.5 on symbolic links in #539315 is overly restrictive, as
> executable JAR files are not just compressed files, but entire archives.
>
> Altogether, I think that we should close #676784 (the clone of #539315), or
> clarify what is the intent of section 10.5, and what is meant by "compressed"
> there.

The problem with section 10.5 is in the clause "A symbolic link
pointing to a compressed file should always have the same file
extension as the referenced file".
So, if I have /usr/share/java/foo.jar, then I want to have executable
foo in /usr/bin through link foo -> ../share/java/foo.jar. Which is
now, as I see it, against the policy.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Wed, 24 Jul 2013 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 24 Jul 2013 22:15:05 GMT) Full text and rfc822 format available.

Message #49 received at 676784@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Eugene Zhukov <jevgeni.zh@gmail.com>, 676784@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Thu, 25 Jul 2013 00:13:12 +0200
On Wed, Jul 24, 2013 at 05:06:50PM +0300, Eugene Zhukov wrote:
> On Wed, Jul 24, 2013 at 4:41 PM, Charles Plessy <plessy@debian.org> wrote:
> > Le Wed, Jul 24, 2013 at 03:55:38PM +0300, Eugene Zhukov a écrit :
> >>
> >> I encountered a Lintian warning executable-not-elf-or-script with one
> >> of my packages and then I learned about outstanding
> >> Lintian<->debian-policy bug #539315.
> >>
> >> How about fixing the policy by adding an exception for .jar files?
> >
> > Dear Eugene,
> >
> > I do not see where the Policy forbids JAR files to be executable when they are
> > intended to be executed.  In line with others, I think that the interpretation
> > of section 10.5 on symbolic links in #539315 is overly restrictive, as
> > executable JAR files are not just compressed files, but entire archives.
> >
> > Altogether, I think that we should close #676784 (the clone of #539315), or
> > clarify what is the intent of section 10.5, and what is meant by "compressed"
> > there.
> 
> The problem with section 10.5 is in the clause "A symbolic link
> pointing to a compressed file should always have the same file
> extension as the referenced file".
> So, if I have /usr/share/java/foo.jar, then I want to have executable
> foo in /usr/bin through link foo -> ../share/java/foo.jar. Which is
> now, as I see it, against the policy.

No really: a compressed file is expected to have an extension like .gz, .bz2, .xz or .zip etc.
The policy is helpful because various tools will not uncompress such files if they do not
have the right extensions.

A .jar file is not a compressed file in the sense it is not meant to be uncompressed
with unzip or zless etc.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Thu, 25 Jul 2013 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 25 Jul 2013 22:00:04 GMT) Full text and rfc822 format available.

Message #54 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 676784@bugs.debian.org
Cc: Eugene Zhukov <jevgeni.zh@gmail.com>, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Fri, 26 Jul 2013 06:57:35 +0900
Le Thu, Jul 25, 2013 at 12:13:12AM +0200, Bill Allombert a écrit :
> 
> A .jar file is not a compressed file in the sense it is not meant to be uncompressed
> with unzip or zless etc.

I agree.  Shall we close that bug ?  Or add the above as a footnote if it is
felt necessary ?

Have a nice week-end,

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Mon, 29 Jul 2013 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 29 Jul 2013 23:15:05 GMT) Full text and rfc822 format available.

Message #59 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Eugene Zhukov <jevgeni.zh@gmail.com>, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Cc: 676784@bugs.debian.org
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Tue, 30 Jul 2013 08:12:24 +0900
Le Fri, Jul 26, 2013 at 06:57:35AM +0900, Charles Plessy a écrit :
> Le Thu, Jul 25, 2013 at 12:13:12AM +0200, Bill Allombert a écrit :
> > 
> > A .jar file is not a compressed file in the sense it is not meant to be uncompressed
> > with unzip or zless etc.
> 
> I agree.  Shall we close that bug ?  Or add the above as a footnote if it is
> felt necessary ?

Hi all,

if there is no futher input within a few days, I am going to close this bug, as
it is based on a clearly erroneous interpretation of the Policy.

If a clearification is necessary, how about adding "in "sense it is meant to be
uncompressed with unzip or zless etc." either in parenthesis of as a footnote.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Tue, 30 Jul 2013 05:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene Zhukov <jevgeni.zh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 30 Jul 2013 05:54:05 GMT) Full text and rfc822 format available.

Message #64 received at 676784@bugs.debian.org (full text, mbox):

From: Eugene Zhukov <jevgeni.zh@gmail.com>
To: Charles Plessy <plessy@debian.org>
Cc: Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>, 676784@bugs.debian.org
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Tue, 30 Jul 2013 08:50:42 +0300
On Tue, Jul 30, 2013 at 2:12 AM, Charles Plessy <plessy@debian.org> wrote:
> Le Fri, Jul 26, 2013 at 06:57:35AM +0900, Charles Plessy a écrit :
>> Le Thu, Jul 25, 2013 at 12:13:12AM +0200, Bill Allombert a écrit :
>> >
>> > A .jar file is not a compressed file in the sense it is not meant to be uncompressed
>> > with unzip or zless etc.
>>
>> I agree.  Shall we close that bug ?  Or add the above as a footnote if it is
>> felt necessary ?
>
> Hi all,
>
> if there is no futher input within a few days, I am going to close this bug, as
> it is based on a clearly erroneous interpretation of the Policy.
>
> If a clearification is necessary, how about adding "in "sense it is meant to be
> uncompressed with unzip or zless etc." either in parenthesis of as a footnote.

IMO a note in parenthesis or a footnote would help a lot. Then I guess
it can be closed, since there is another #539315, which can be closed
only after fixing lintian.
Please, correct me if I'm wrong.

Cheers,
Eugene



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Tue, 30 Jul 2013 13:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 30 Jul 2013 13:15:14 GMT) Full text and rfc822 format available.

Message #69 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Eugene Zhukov <jevgeni.zh@gmail.com>, 676784@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Tue, 30 Jul 2013 22:13:37 +0900
Le Tue, Jul 30, 2013 at 08:50:42AM +0300, Eugene Zhukov a écrit :
> On Tue, Jul 30, 2013 at 2:12 AM, Charles Plessy <plessy@debian.org> wrote:
> > Le Fri, Jul 26, 2013 at 06:57:35AM +0900, Charles Plessy a écrit :
> >> Le Thu, Jul 25, 2013 at 12:13:12AM +0200, Bill Allombert a écrit :
> >> >
> >> > A .jar file is not a compressed file in the sense it is not meant to be uncompressed
> >> > with unzip or zless etc.
> >>
> >> I agree.  Shall we close that bug ?  Or add the above as a footnote if it is
> >> felt necessary ?
> >
> > Hi all,
> >
> > if there is no futher input within a few days, I am going to close this bug, as
> > it is based on a clearly erroneous interpretation of the Policy.
> >
> > If a clearification is necessary, how about adding "in "sense it is meant to be
> > uncompressed with unzip or zless etc." either in parenthesis of as a footnote.
> 
> IMO a note in parenthesis or a footnote would help a lot. Then I guess
> it can be closed, since there is another #539315, which can be closed
> only after fixing lintian.

Thanks for the prompt feedback.

Unless there is objection, I will add the note in parenthesis as a
non-normative change, and then mark the bug pending.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Sat, 03 Aug 2013 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 03 Aug 2013 06:45:04 GMT) Full text and rfc822 format available.

Message #74 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 676784@bugs.debian.org
Cc: Eugene Zhukov <jevgeni.zh@gmail.com>, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Sat, 3 Aug 2013 15:40:08 +0900
tag 676784 pending
thanks

Le Tue, Jul 30, 2013 at 10:13:37PM +0900, Charles Plessy a écrit :
> 
> Unless there is objection, I will add the note in parenthesis as a
> non-normative change, and then mark the bug pending.

Hello everybody,

here is what I pushed.

diff --git a/debian/changelog b/debian/changelog
index fe4a858..bc23f5c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -51,6 +51,7 @@ debian-policy (3.9.5.0) UNRELEASED; urgency=low
     Closes: #704657.  Thanks, Philipp Hahn.
   * Replaced non-standard names of dpkg states by normalised ones.
     Closes: #705403
+  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
 
  -- Russ Allbery <rra@debian.org>  Sat, 03 Nov 2012 15:32:46 -0700
 
diff --git a/policy.sgml b/policy.sgml
index 953d5d2..cb1093f 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -8853,7 +8853,9 @@ ln -fs ../sbin/sendmail debian/tmp/usr/bin/runq
        </p>
 
        <p>
-         A symbolic link pointing to a compressed file should always
+         A symbolic link pointing to a compressed file (in the sense
+         that it is meant to be uncompressed with <prgn>unzip</prgn>
+         or <prgn>zless</prgn> etc.) should always
          have the same file extension as the referenced file. (For
          example, if a file <file>foo.gz</file> is referenced by a
          symbolic link, the filename of the link has to end with


Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Added tag(s) pending. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 03 Aug 2013 06:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Sun, 04 Aug 2013 07:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 04 Aug 2013 07:42:04 GMT) Full text and rfc822 format available.

Message #81 received at 676784@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Charles Plessy <plessy@debian.org>, 676784@bugs.debian.org
Cc: Eugene Zhukov <jevgeni.zh@gmail.com>, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Sun, 04 Aug 2013 09:05:34 +0200
On 03-08-13 08:40, Charles Plessy wrote:
> tag 676784 pending
> thanks
> 
> Le Tue, Jul 30, 2013 at 10:13:37PM +0900, Charles Plessy a écrit :
>>
>> Unless there is objection, I will add the note in parenthesis as a
>> non-normative change, and then mark the bug pending.
> 
> Hello everybody,
> 
> here is what I pushed.
> 
> diff --git a/debian/changelog b/debian/changelog
> index fe4a858..bc23f5c 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -51,6 +51,7 @@ debian-policy (3.9.5.0) UNRELEASED; urgency=low
>      Closes: #704657.  Thanks, Philipp Hahn.
>    * Replaced non-standard names of dpkg states by normalised ones.
>      Closes: #705403
> +  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
>  
>   -- Russ Allbery <rra@debian.org>  Sat, 03 Nov 2012 15:32:46 -0700
>  
> diff --git a/policy.sgml b/policy.sgml
> index 953d5d2..cb1093f 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -8853,7 +8853,9 @@ ln -fs ../sbin/sendmail debian/tmp/usr/bin/runq
>         </p>
>  
>         <p>
> -         A symbolic link pointing to a compressed file should always
> +         A symbolic link pointing to a compressed file (in the sense
> +         that it is meant to be uncompressed with <prgn>unzip</prgn>

This should be "gunzip", not just "unzip". The latter unpacks the ".zip"
format, not the ".gz" one, which is significantly different.

> +         or <prgn>zless</prgn> etc.) should always
>           have the same file extension as the referenced file. (For
>           example, if a file <file>foo.gz</file> is referenced by a
>           symbolic link, the filename of the link has to end with
> 
> 
> Cheers,
> 


-- 
This end should point toward the ground if you want to go to space.

If it starts pointing toward space you are having a bad problem and you
will not go to space today.

  -- http://xkcd.com/1133/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Tue, 06 Aug 2013 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene Zhukov <jevgeni.zh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 06 Aug 2013 10:42:05 GMT) Full text and rfc822 format available.

Message #86 received at 676784@bugs.debian.org (full text, mbox):

From: Eugene Zhukov <jevgeni.zh@gmail.com>
To: Wouter Verhelst <wouter@debian.org>
Cc: Charles Plessy <plessy@debian.org>, 676784@bugs.debian.org, Niels Thykier <niels@thykier.net>, Matthew Johnson <mjj29@debian.org>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Tue, 6 Aug 2013 13:38:54 +0300
On Sun, Aug 4, 2013 at 10:05 AM, Wouter Verhelst <wouter@debian.org> wrote:
> On 03-08-13 08:40, Charles Plessy wrote:
>> tag 676784 pending
>> thanks
>>
>> Le Tue, Jul 30, 2013 at 10:13:37PM +0900, Charles Plessy a écrit :
>>>
>>> Unless there is objection, I will add the note in parenthesis as a
>>> non-normative change, and then mark the bug pending.
>>
>> Hello everybody,
>>
>> here is what I pushed.
>>
>> diff --git a/debian/changelog b/debian/changelog
>> index fe4a858..bc23f5c 100644
>> --- a/debian/changelog
>> +++ b/debian/changelog
>> @@ -51,6 +51,7 @@ debian-policy (3.9.5.0) UNRELEASED; urgency=low
>>      Closes: #704657.  Thanks, Philipp Hahn.
>>    * Replaced non-standard names of dpkg states by normalised ones.
>>      Closes: #705403
>> +  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
>>
>>   -- Russ Allbery <rra@debian.org>  Sat, 03 Nov 2012 15:32:46 -0700
>>
>> diff --git a/policy.sgml b/policy.sgml
>> index 953d5d2..cb1093f 100644
>> --- a/policy.sgml
>> +++ b/policy.sgml
>> @@ -8853,7 +8853,9 @@ ln -fs ../sbin/sendmail debian/tmp/usr/bin/runq
>>         </p>
>>
>>         <p>
>> -         A symbolic link pointing to a compressed file should always
>> +         A symbolic link pointing to a compressed file (in the sense
>> +         that it is meant to be uncompressed with <prgn>unzip</prgn>
>
> This should be "gunzip", not just "unzip". The latter unpacks the ".zip"
> format, not the ".gz" one, which is significantly different.

Can it simply be "except if it is a .jar file" in parenthesis instead
of vague "in the sense that it is meant to be uncompressed with..."?

Regards,
Eugene



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Wed, 07 Aug 2013 08:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 07 Aug 2013 08:06:13 GMT) Full text and rfc822 format available.

Message #91 received at 676784@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Eugene Zhukov <jevgeni.zh@gmail.com>
Cc: Wouter Verhelst <wouter@debian.org>, Charles Plessy <plessy@debian.org>, 676784@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Wed, 7 Aug 2013 08:30:43 +0100
[Message part 1 (text/plain, inline)]
On Tue Aug 06 13:38, Eugene Zhukov wrote:
> Can it simply be "except if it is a .jar file" in parenthesis instead
> of vague "in the sense that it is meant to be uncompressed with..."?

We want to write policy to be general and not have 100s of special exceptions. In this case what is special is not that it's a jar file, but that the user isn't meant to interact with it using standard compressed file tools. This is not a state unique to jar files. Even if there aren't any other known cases now, we want to write policy in a way that can apply to them in the futuer.

Matt
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#676784; Package debian-policy. (Fri, 16 Aug 2013 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 16 Aug 2013 01:12:04 GMT) Full text and rfc822 format available.

Message #96 received at 676784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Matthew Johnson <mjj29@debian.org>, 676784@bugs.debian.org, Eugene Zhukov <jevgeni.zh@gmail.com>
Subject: Re: Bug#676784: Policy §10.5 and .jar file noticeable exception
Date: Fri, 16 Aug 2013 10:08:43 +0900
Le Wed, Aug 07, 2013 at 08:30:43AM +0100, Matthew Johnson a écrit :
> On Tue Aug 06 13:38, Eugene Zhukov wrote:
> > Can it simply be "except if it is a .jar file" in parenthesis instead of
> > vague "in the sense that it is meant to be uncompressed with..."?
> 
> We want to write policy to be general and not have 100s of special
> exceptions. In this case what is special is not that it's a jar file, but
> that the user isn't meant to interact with it using standard compressed file
> tools. This is not a state unique to jar files. Even if there aren't any
> other known cases now, we want to write policy in a way that can apply to
> them in the futuer.

Hi all,

I agree that the recommendations should be generic.

I used "unzip" instead "ungzip" in the example because I simply pasted the text
from Bill's comment (676784#49).  Before committing, I wondered if I should
replace "unzip" by "ungzip", I concluded that "unzip" was probably intended
since this is the underlying format of the JAR files, and that we exactly
wanted to make the point that in normal operations one is not expected to run
"unzip" on them.  But if people find it confusing, I can correct by switching
to "unzip", or by adding "or unarchived" after "uncompressed".

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Mon, 28 Oct 2013 01:21:17 GMT) Full text and rfc822 format available.

Notification sent to Matthew Johnson <mjj29@debian.org>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 01:21:17 GMT) Full text and rfc822 format available.

Message #101 received at 676784-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 676784-close@bugs.debian.org
Subject: Bug#676784: fixed in debian-policy 3.9.5.0
Date: Mon, 28 Oct 2013 01:18:26 +0000
Source: debian-policy
Source-Version: 3.9.5.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 28 Oct 2013 09:40:48 +0900
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.5.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 668394 669915 671355 676784 679326 690293 691352 697433 698030 700536 700574 701081 703022 704657 705403 706778 707077 707183 715804 720507
Changes: 
 debian-policy (3.9.5.0) unstable; urgency=low
 .
   * Policy: Document the Package-List field.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #697433
   * Policy: DM-Upload-Allowed is now obsolete
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #679326
   * Policy: Checksums-{Sha1,Sha256} are now mandatory
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Closes: #690293
   * Policy: Requirements for udebs are not well documented yet
     Wording: Russ Allbery <rra@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #698030
   * Policy: install-info is run by a dpkg trigger.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #669915
   * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
     Wording: Thomas Goirand <zigo@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #715804
   * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Julian Gilbey <julian@d-and-j.net>
     Closes: #701081
   * Policy: Document the Dgit field for Debian Source Control files.
     Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Joey Hess <joeyh@debian.org>
     Seconded: Dmitrijs Ledkovs <xnox@debian.org>
     Closes: #720507
   * Policy: Remove the exception to the FHS for the /selinux directory.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #707183
   * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
     Wording: Paul Wise <pabs@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #707077
   * Policy: Control data fields must not start with a hyphen character.
     Wording: Niels Thykier <niels@thykier.net>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #706778
   * debconf_spec: Document the 'escape' capability.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #671355
   * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #668394
   * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
   * Remove outdated mention of dselect documentation.
     Closes: #700574.  Thanks, Guillem Jover.
   * Update dak reference from old katie name.
     Closes: #700536.  Thanks, Guillem Jover.
   * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
   * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
   * Added a warning in appendix G about diverting conffiles.
     Closes: #703022.  Thanks, Torsten Jerzembeck.
   * List build-arch and build-indep with the other required targets in 4.9.
     Closes: #704657.  Thanks, Philipp Hahn.
   * Replaced non-standard names of dpkg states by normalised ones.
     Closes: #705403
   * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
   * Packaging: use the VCS URLs proposed by Lintian.
   * Packaging: normalised debian/control with the tool "config-model-edit".
   * Packaging: refreshed the names of the Policy Editors.
Checksums-Sha1: 
 49c5f971214313898754f1644b0ee93d2fba5b1a 1905 debian-policy_3.9.5.0.dsc
 44c176e8eb47b2ab31cf4a0f3b77d77d7b4ecea4 705836 debian-policy_3.9.5.0.tar.gz
 7d6edc865b3dd4d17f8a1f3f8a83febe0f6fa76d 1875912 debian-policy_3.9.5.0_all.deb
Checksums-Sha256: 
 39188d1779a5f79f5d742dc5909107440b236799d43df14d8ab2b1922a6f5b3e 1905 debian-policy_3.9.5.0.dsc
 2314a8daee0bbf212a5de119364d8350190f396a7104646c0540b2d80443dbf5 705836 debian-policy_3.9.5.0.tar.gz
 22def8fecebfc8332de984581602e68b584489ba512c2b9545daedd2248d7fb6 1875912 debian-policy_3.9.5.0_all.deb
Files: 
 7236d4ae22ea8706e70351241b33133f 1905 doc optional debian-policy_3.9.5.0.dsc
 e077997b84cb2463ca0cb02a03eb346b 705836 doc optional debian-policy_3.9.5.0.tar.gz
 b20057c896ccd385cb23d34cced3b5ac 1875912 doc optional debian-policy_3.9.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSbbiQAAoJEMW9bI8ildUCNGUP/1R/Fy1fCZziEnf0jdWAhXK4
7hg58u4O9im+iDa47KjvmFs6lSibRn4gEGX4RbEAJzXAM7Yl8j/CNhZb3rX7vhs1
svX7zCXJSAgcYCCHiXXsR0QRWQdxuPCuAfRkx3aYsXcppWQePsr5QmhSJBADESQ1
UqLdi2bbhtV5ONJpBM5uAjIQDcIYyE3trHguPGO4aM46wJZT3RriMy09esiPMX7k
wdliCTHdUf3ozQxtnoj+FqisAP4bAGIUKVzNSFpVTbtKS9SOp/lUPCf5ePW6tQMZ
q9fB6Apigf3m9tUcrfiIhIkBM7EFtqtCT67OIdIGr3ZL5ku+DDrc83CmVvtYmsgs
+BycHdV5KCcD5LLMlFUKso0URgQSxoCYDBOgqUhDLm75fW7Sek2JRX4iLEoo4FF0
x4GQfbNmoToY8axJpU2oJYtd/pGfaZpXqWl6jvqKGIS/PaglS2F//oEIWN0q1grc
01WC2rppiumTb0eE+C7y7eQ9bIOEVqZFYYA52KHAeb7C0mzZoJ0bXR4wXrwhRZdm
8lODxmawknIFjDGZhar+Df8VdsGlvSRsP3SKDjEOu6MRJuDBEfGJtEd4BwqikYRL
gdUfNzyIIGOJF7J4Jrm7WaAoJMm9xWnBFuz/BPPAJr92ZQWr6QIoscOfeR/iPsaz
YUst3H9ResYJJ6xDGi4B
=+tfQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:41:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:30:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.